#!/bin/bash

if [ -d cascade-make ] ; then
  source cascade-make/lib/cascade-lib.bash GEXT_XPDFTOOLS . $*
fi

if [ -z $GEXT_XPDFTOOLS ] ; then
  source gs3-setup.sh
fi

if [ -z $GEXTXPDFTOOLS_DEVEL ] ; then
    # Set environment variable so we can tell devel.bash has been sourced
    export GEXTXPDFTOOLS_DEVEL=$GEXT_XPDFTOOLS
    
    export PATH="$GEXTXPDFTOOLS_INSTALLED/bin:$PATH"
    export CFLAGS="-I$GEXTXPDFTOOLS_INSTALLED/include $CFLAGS"
    export CPPFLAGS="-I$GEXTXPDFTOOLS_INSTALLED/include $CPPFLAGS"
    export CXXFLAGS="-I$GEXTXPDFTOOLS_INSTALLED/include $CXXFLAGS"
    export LDFLAGS="-L$GEXTXPDFTOOLS_INSTALLED/lib $LDFLAGS"
    export PKG_CONFIG_PATH="$GEXTXPDFTOOLS_INSTALLED/lib/pkgconfig:$PKG_CONFIG_PATH"
    
    echo "+Your environment is now setup to compile with the Xpdf-Tools Support Library"

else
    echo "+Your environment is already setup to compile with the Xpdf-Tools Support Library"
fi
