@echo off
pushd "%CD%"
CD /D "%~dp0"

set extdesc=the Xpdf-Tools Extension

if "%OS%" == "Windows_NT" goto WinNT
if "%OS%" == "" goto Win95
if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
if "%GSDLLANG%" == "es" echo No se pudo realizar la configuracin - no se ha establecido la RUTA.
if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
if "%GSDLLANG%" == "ru" echo ⁠  つ -   끫 ⁠
goto End

:WinNT
set GEXT_XPDFTOOLS=%CD%
set PATH=%GEXT_XPDFTOOLS%\bin\script;%PATH%
set PATH=%GEXT_XPDFTOOLS%\bin\windows;%PATH%
set PATH=%GEXT_XPDFTOOLS%\lib;%PATH%
set GS_CP_SET=yes
goto Success

:Win95
if "%1" == "SetEnv" goto Win95Env
REM We'll invoke a second copy of the command processor to make
REM sure there's enough environment space
COMMAND /E:2048 /K %0 SetEnv
goto End

:Win95Env
set GEXT_XPDFTOOLS=%CD%
set PATH="%GEXT_XPDFTOOLS%\bin\script";"%PATH%"
set PATH="%GEXT_XPDFTOOLS%\bin\windows";"%PATH%"
set PATH="%GEXT_XPDFTOOLS%\lib";"%PATH%"
set GS_CP_SET=yes
goto Success

:Success

set fulldir=%~dp0

:: strip off everything up to (and including) ext dir
set extdir=%fulldir:*ext\=%

:: remove trailing slash
set extdir=%extdir:\=%

setlocal enabledelayedexpansion
if "x%GSDL3EXTS%" == "x" (
  set GSDL3EXTS=!extdir!
) else (
  set GSDL3EXTS=!GSDL3EXTS!:!extdir!
)
endlocal & set GSDL3EXTS=%GSDL3EXTS%

echo +Your environment is now setup for %extdesc%

:: Back to delayed expansion to avoid problems with environment
:: variables with brackets in them, such as "Program Files (x86)"


:End

popd
